| The Gaudi Framework v32r1 (f65d50dc)

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper > Struct Template Reference

`#include <Gaudi/Parsers/Grammars.h>`

Inheritance diagram for Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >:
[legend]

## Classes
struct | first
struct | second

## Public Types
typedef PairT | ResultT
typedef PairT::first_type | first_type
typedef PairT::second_type | second_type

## Public Member Functions
| PairGrammar ()
| PairGrammar (const std::string &delimeter)

## Public Attributes
Grammar_< Iterator, typename PairT::first_type, Skipper >::Grammar | key
Grammar_< Iterator, typename PairT::second_type, Skipper >::Grammar | value
qi::rule< Iterator, char()> | begin
qi::rule< Iterator, void(char)> | end
qi::rule< Iterator, ResultT(), qi::locals< char >, Skipper > | pair
qi::rule< Iterator, ResultT(), Skipper > | pair_in

## Detailed Description

### template<typename Iterator, typename PairT, typename Skipper>
struct Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >

Definition at line 305 of file Grammars.h.

## Member Typedef Documentation

## ◆ first_type

template<typename Iterator , typename PairT , typename Skipper >

typedef PairT::first_type Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::first_type

Definition at line 308 of file Grammars.h.

## ◆ ResultT

template<typename Iterator , typename PairT , typename Skipper >

typedef PairT Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::ResultT

Definition at line 307 of file Grammars.h.

## ◆ second_type

template<typename Iterator , typename PairT , typename Skipper >

typedef PairT::second_type Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::second_type

Definition at line 309 of file Grammars.h.

## Constructor & Destructor Documentation

## ◆ PairGrammar() [1/2]

template<typename Iterator , typename PairT , typename Skipper >

Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::PairGrammar | ( |  | ) |
| inline

Definition at line 314 of file Grammars.h.

314 : PairGrammar( "," ) {}
Gaudi::Parsers::PairGrammar::PairGrammar
PairGrammar()
Definition: Grammars.h:314

## ◆ PairGrammar() [2/2]

template<typename Iterator , typename PairT , typename Skipper >

Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::PairGrammar | ( | const std::string & | delimeter | ) |
| inline

Definition at line 315 of file Grammars.h.

315 : PairGrammar::base_type( pair ) {
316 begin = enc::char_( '(' )[qi::_val = ')'] | enc::char_( '[' )[qi::_val = ']'];
317 end = qi::char_( qi::_r1 );
318 pair = begin[qi::_a = qi::_1] >> pair_in[qi::_val = qi::_1] >> end( qi::_a );
319 pair_in = key >> qi::lit( delimeter ) >> value;
320 }
Gaudi::Parsers::PairGrammar::begin
qi::rule< Iterator, char()> begin
Definition: Grammars.h:324
Gaudi::Parsers::PairGrammar::key
Grammar_< Iterator, typename PairT::first_type, Skipper >::Grammar key
Definition: Grammars.h:322
Gaudi::Parsers::PairGrammar::pair
qi::rule< Iterator, ResultT(), qi::locals< char >, Skipper > pair
Definition: Grammars.h:326
Gaudi::Parsers::PairGrammar::value
Grammar_< Iterator, typename PairT::second_type, Skipper >::Grammar value
Definition: Grammars.h:323
Gaudi::Parsers::PairGrammar::pair_in
qi::rule< Iterator, ResultT(), Skipper > pair_in
Definition: Grammars.h:327
Gaudi::Parsers::PairGrammar::end
qi::rule< Iterator, void(char)> end
Definition: Grammars.h:325

## Member Data Documentation

## ◆ begin

template<typename Iterator , typename PairT , typename Skipper >

qi::rule<Iterator, char()> Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::begin

Definition at line 324 of file Grammars.h.

## ◆ end

template<typename Iterator , typename PairT , typename Skipper >

qi::rule<Iterator, void( char )> Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::end

Definition at line 325 of file Grammars.h.

## ◆ key

template<typename Iterator , typename PairT , typename Skipper >

Grammar_<Iterator, typename PairT::first_type, Skipper>::Grammar Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::key

Definition at line 322 of file Grammars.h.

## ◆ pair

template<typename Iterator , typename PairT , typename Skipper >

qi::rule<Iterator, ResultT(), qi::locals<char>, Skipper> Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::pair

Definition at line 326 of file Grammars.h.

## ◆ pair_in

template<typename Iterator , typename PairT , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::pair_in

Definition at line 327 of file Grammars.h.

## ◆ value

template<typename Iterator , typename PairT , typename Skipper >

Grammar_<Iterator, typename PairT::second_type, Skipper>::Grammar Gaudi::Parsers::PairGrammar< Iterator, PairT, Skipper >::value

Definition at line 323 of file Grammars.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/Gaudi/Parsers/Grammars.h